DatabaseURLGenerator (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.blast2html.DatabaseURLGenerator interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.blast2html
Interface DatabaseURLGenerator

All Known Implementing Classes:
  EbiDatabaseURLGenerator, NcbiDatabaseURLGenerator

    public interface DatabaseURLGenerator

Takes a database ID and some configuration properties ( such as base URL ) and returns either a URL or a full anchor tag. Primary author - Colin Hardman (CAT) Other authors - Tim Dilks (CAT) Simon Brocklehurst (CAT) Stuart Johnston (CAT) Lawerence Bower (CAT) Derek Crockford (CAT) Neil Benn (CAT) Copyright 2001 Cambridge Antibody Technology Group plc. All Rights Reserved. This code released to the biojava project, May 2001 under the LGPL license.

Version:
  1.0
Author:
  Cambridge Antibody Technology Group plc

Method Summary
`String` | `toLink(String poID, Properties poOptions)` Returns a full retrieve item anchor for the given database id.
`String` | `toURL(String poID, Properties poOptions)` Returns a string representation of a URL to the specified ID.

Method Detail

### toURL

    String toURL(String poID,
                 Properties poOptions)

  Returns a string representation of a URL to the specified ID. Used in summary section.

  Parameters:
    `poID` - a database ID
    `poOptions` - `Properties` - any options needed
  Returns:
    a `String` value

### toLink

    String toLink(String poID,
                  Properties poOptions)

  Returns a full retrieve item anchor for the given database id. Used in detail section.

  Parameters:
    `poID` - a `String` value
    `poOptions` - a `Properties` value
  Returns:
    a `String` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD